### Index

* [Algorithms & Data Structures](#algorithms-&-data-structures)
* [Android](#android)
* [Arduino](#arduino)
* [ASP.NET](#asp.net)
* [C/C++](#c/c++)
* [C#](#c-sharp)
* [Circuit](#circuit)
* [Deep Learning](#deep-learning)
* [Flutter](#flutter)
* [Git](#git)
* [Go](#go)
* [Introduction](#introduction)
* [iOS](#ios)
* [Java](#java)
* [JavaScript](#javascript)
  * [Angular.js](#angular.js)
  * [Node.js](#node.js)
  * [React.js](#react.js)
* [Linux](#linux)
* [Machine Learning](#machine-learning)
* [Mathematics](#mathematics)
* [MySQL](#mysql)
* [Network](#network)
* [Operation System](#operation-system)
* [PHP](#php)
* [Python](#python)
* [Raspberry Pi](#raspberry-pi)
* [Reinforced Learning](#reinforced-learning)
* [Ruby](#ruby)
* [Security](#security)
* [Spring](#spring)
* [Swift](#swift)
* [Unreal Engine](#unreal-engine)
* [Web Development](#web-development)
* [Windows](#windows)


### Algorithms & Data Structures

* [실전 알고리즘 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdDHxCvAQS1_6XV4deOwfVrz)
* [알고리즘 강좌](https://www.youtube.com/playlist?list=PLNvbgg5to7cfAx80VeQFW1Sq1mHGfiECo) (부경대 권오흠)
* [이상진의 자료구조](https://www.youtube.com/playlist?list=PL7mmuO705dG12pP82RPUR3wdD5dbYu9gZ)


### Android

* [Do it! 안드로이드 앱 프로그래밍](https://www.youtube.com/playlist?list=PLG7te9eYUi7sq701GghpoSKe-jbkx9NIF)
* [안드로이드 스튜디오 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdB6sCgj_jubp8KPb1ni0VOC)
* [안드로이드 스튜디오 실전 프로젝트](https://www.youtube.com/playlist?list=PLRx0vPvlEmdD862e43ADbvDeGPUZKDuqL)
* [안드로이드 프로그래밍 고급](https://www.youtube.com/playlist?list=PL9mhQYIlKEhcXoTW9RwEf_7UTMcAJaink) (T 아카데미)
* [안드로이드 프로그래밍 응용](https://www.youtube.com/playlist?list=PL9mhQYIlKEhd0NndsEQc0in36Oegm3ldE) (T 아카데미)
* [안드로이드 프로그래밍 중급](https://www.youtube.com/playlist?list=PL9mhQYIlKEhc7o2HHixQi0PU2sQVerRW2) (T 아카데미)
* [안드로이드 프로그래밍 초급](https://www.youtube.com/playlist?list=PL9mhQYIlKEhcAHpIweCixdDrPoXv5bXGx) (T 아카데미)


### Arduino

* [아두이노 기초](https://www.youtube.com/playlist?list=PL0Vl139pNHbe-JlsydLg3NFRk6nC_cC7w)


### ASP.NET

* [ASP.NET MVC 강좌](https://www.youtube.com/playlist?list=PLbPz1r_wDPhEcKDJbOBw_3h5c2gtyDicX)


### C/C++

* [C++ 프로그래밍 강좌](https://www.youtube.com/playlist?list=PLJRimEWvctNAfE5JrkwswQv6Yy4abqDl2)
* [C언어 기초 프로그래밍 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdDNHeulKC6JM25MmZVS_3nT)
* [두들낙서의 C/C++ 강좌](https://www.youtube.com/playlist?list=PLlJhQXcLQBJqywc5dweQ75GBRubzPxhAk)
* [박정민의 C 언어본색](https://www.youtube.com/playlist?list=PL7mmuO705dG3Z4iSqwzztuPHF3YE8mlbw)
* [최호성의 C 프로그래밍](https://www.youtube.com/playlist?list=PLXvgR_grOs1BiznAEkzQdA9tlcA06qx75)


### C Sharp

* [예제로 배우는 C# 강좌](https://www.youtube.com/playlist?list=PL4PkN2EXiuVF3Xl0HNVMdY-_kMM3oyBds)


### Circuit

* [논리회로](http://socw.skku.edu/Lectures/Regular/Detail.do) (성균관대 김문현)


### Deep Learning

* [모두를 위한 딥러닝 시즌 1](https://www.youtube.com/playlist?list=PLlMkM4tgfjnLSOjrEJN31gZATbcj_MpUm)
* [모두를 위한 딥러닝 시즌 2](https://www.youtube.com/playlist?list=PLQ28Nx3M4Jrguyuwg4xe9d9t2XE639e5C)


### Flutter

* [Flutter 입문](https://www.youtube.com/playlist?list=PLxTmPHxRH3VUueVvEnrP8qxHAP5x9XAPv)
* [Flutter 중급](https://www.youtube.com/playlist?list=PLxTmPHxRH3VWLY-eyQuV1C_IbIQlCXEhe)


### Git

* [지옥에서 온 Git](https://www.opentutorials.org/course/2708) (생활코딩)


### Go

* [컴맹을 위한 프로그래밍 기초 강좌](https://www.youtube.com/playlist?list=PLy-g2fnSzUTAaDcLW7hpq0e8Jlt7Zfgd6)


### Introduction

* [컴퓨터 프로그래밍](http://www.kocw.net/home/search/kemView.do?kemId=1322410)
* [컴퓨터공학 입문](http://www.kocw.net/home/search/kemView.do?kemId=1323143)


### iOS

* [iPhone 프로그래밍](https://www.youtube.com/playlist?list=PL9mhQYIlKEhdQ8viJACIwxIcUiXU2lMLX) (T 아카데미)
* [Swfit로 시작하는 아이폰 앱 개발 교과서](https://www.youtube.com/playlist?list=PL9kzervdzKxzBQ4UsMy4H_PANaTEApq_X)


### Java

* [Do it! Java 프로그래밍 입문](https://www.youtube.com/playlist?list=PLG7te9eYUi7typZrH4fqXvs4E22ZFn1Nj)
* [Java with 인크레파스](https://www.youtube.com/playlist?list=PLa4r6B21Ny5ld_PTqzzqDMxxoj7l0z7Xp)
* [Java 기초 프로그래밍 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdBjfCADjCc41aD4G0bmdl4R)
* [Java 리듬게임 만들기 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdDySO3wDqMYGKMVH4Qa4QhR)
* [Java 입문수업](https://www.opentutorials.org/course/1223) (생활코딩)


### JavaScript

* [Javascript for Web Browser](https://www.youtube.com/playlist?list=PLuHgQVnccGMDTAQ0S_FYxXOi1ZJz4ikaX) (생활코딩)
* [Javascript 입문 수업](https://www.youtube.com/playlist?list=PLuHgQVnccGMA4uSig3hCjl7wTDeyIeZVU) (생활코딩)
* [모던 웹을 위한 Javascript + jQuery](https://www.youtube.com/playlist?list=PLBXuLgInP-5kLy13XLuK8iBWVFDBJygYr)


#### Angular.js

* [AngularJS](https://www.youtube.com/playlist?list=PLs_XsVQJKaBk_JN5RctLmmVrGwEzpzqaj)


#### Node.js

* [모던 웹을 위한 Node.js 프로그래밍](https://www.youtube.com/playlist?list=PL9kzervdzKxy-c7UQgZbnZIr14DCPM87j)


#### React.js

* [React.js 강좌](https://www.youtube.com/playlist?list=PL9FpF_z-xR_GMujql3S_XGV2SpdfDBkeC)
* [React.js 이론부터 실전까지](https://www.youtube.com/playlist?list=PLRx0vPvlEmdCED62ZIWCbI-6G_jcwmuFB)


### Linux

* [리눅스 및 커널 프로그래밍](http://www.kocw.net/home/search/kemView.do?kemId=1266434) (금오공대 최태영)


### Machine Learning

* [Python tensorflow & 머신러닝 기초 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdAbnmLH9yh03cw9UQU_o7PO)
* [머신러닝/딥러닝 입문](https://www.youtube.com/playlist?list=PLBXuLgInP-5m_vn9ycXHRl7hlsd1huqmS)


### Mathematics

* [수치해석](http://www.kocw.net/home/search/kemView.do?kemId=1297704) (국민대 김상철)
* [전산수학1](http://www.kocw.net/home/search/kemView.do?kemId=1296081) (고려대 주재걸)


### MySQL

* [DATABASE2-MySQL](https://www.youtube.com/playlist?list=PLuHgQVnccGMCgrP_9HL3dAcvdt8qOZxjW) (생활코딩)


### Network

* [컴퓨터 네트워크](http://www.kocw.net/home/search/kemView.do?kemId=1319674) (부산대 김종덕)
* [컴퓨터 네트워크](http://www.kocw.net/home/search/kemView.do?kemId=1312397) (한양대 이석복)


### Operation System

* [운영체제](http://ocw.kookmin.ac.kr/?course=15329) (국민대 이시윤)
* [운영체제](http://www.kocw.net/home/search/kemView.do?kemId=1194929) (고려대 최린)
* [운영체제론](http://socw.skku.edu/Lectures/Regular/Detail.do) (성균관대 엄영익)


### PHP

* [PHP 프로그래밍](https://www.youtube.com/playlist?list=PLYNsYgev6U96jzS7AjBn5p7i_owJHqfyW)


### Python

* [MOOC: Python](https://www.youtube.com/playlist?list=PLBHVuYlKEkUJvRVv9_je9j3BpHwGHSZHz)
* [Python 입문자용 초급](https://www.youtube.com/playlist?list=PLRx0vPvlEmdD8u2rzxmQ-L97jHTHiiDdy)


### Raspberry Pi

* [라즈베리 파이](https://www.youtube.com/playlist?list=PL0Vl139pNHbc0ypjIuxUJuK-IPld0YmLO)


### Reinforced Learning

* [모두를 위한 RL 강좌](https://www.youtube.com/playlist?list=PLlMkM4tgfjnKsCWav-Z2F-MMFRx-2gMGG)


### Ruby

* [Python & Ruby](https://www.opentutorials.org/course/1750) (생활코딩)
* [Ruby coin](https://www.youtube.com/playlist?list=PLEBQPmkNcLCIE9ERi4k_nUkGgJoBizx6s)


### Security

* [시스템 해킹 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdAXwJnNtKIVeC27UmwljRYA)
* [안드로이드 앱 취약점 분석](https://www.youtube.com/playlist?list=PL1jdJcP6uQtvSGi1tH0Nekww8JTmgbdjh)
* [칼리리눅스 완벽 활용](https://www.youtube.com/playlist?list=PL1jdJcP6uQtt0N0cZsuaXOk8mOJcp3poU)
* [화이트해커를 위한 ARP 스푸핑 강좌](https://www.youtube.com/playlist?list=PLRx0vPvlEmdBCJ68hRavPf4cJNYVsOcXs)


### Spring

* [Spring 강좌](https://www.youtube.com/playlist?list=PLY9pe3iUjRrRiJeg0jw22yW1G5yzAdiqC)


### Swift

* [Swift 프로그래밍](https://www.youtube.com/playlist?list=PL9mhQYIlKEheAkAxX53qlTjjWK93Xd2pf) (T 아카데미)


### Unreal Engine

* [실전 게임 제작으로 배우는 언리얼엔진](https://www.youtube.com/playlist?list=PL9kzervdzKxyTPMBHt26wkaAvCv6JkHQV)


### Web Development

* [HTML5&CSS3 기초](https://www.youtube.com/playlist?list=PL9mhQYIlKEhdTdvqzohqVs3RTVHzWPu79) (T 아카데미)
* [Web1-HTML](https://www.opentutorials.org/course/3084) (생활코딩)
* [Web2-CSS](https://www.opentutorials.org/course/3086) (생활코딩)
* [Web2-Domain name system](https://www.opentutorials.org/course/3276) (생활코딩)
* [Web2-Home server](https://www.opentutorials.org/course/3265) (생활코딩)
* [Web2-javascript](https://www.opentutorials.org/course/3085) (생활코딩)
* [Web2-nodejs](https://www.opentutorials.org/course/3332) (생활코딩)
* [Web2-PHP](https://www.opentutorials.org/course/3130) (생활코딩)
* [Web2-Python](https://www.opentutorials.org/course/3256) (생활코딩)
* [Web3-PHP & MySQL](https://www.youtube.com/playlist?list=PLuHgQVnccGMA5836CvWfieEQy0T0ov6Jh) (생활코딩)
* [웹 프로그래밍](http://www.kocw.net/home/search/kemView.do?kemId=1323070)


### Windows

* [뇌를 자극하는 윈도우즈 시스템 프로그래밍](https://www.youtube.com/playlist?list=PLVsNizTWUw7E2KrfnsyEjTqo-6uKiQoxc)
